Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79340 - RFE: debloat ghostscript rpm
Summary: RFE: debloat ghostscript rpm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ghostscript
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-10 14:33 UTC by giulioo
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-10 14:55:25 UTC


Attachments (Terms of Use)

Description giulioo 2002-12-10 14:33:01 UTC
Installing ghostscript is becoming a nightmare :-)
I know disk space is cheap but this is disturbing.

Please, consider:
1) subpackage the asian stuff (/usr/share/ghostscript/Resource/,
/usr/share/ghostscript/7.05/vflib/) which is great part of the size of the rpm
2) put VFLIB2 dependency in the new subpackage
3) please, see if there's another way to handle Omni. Requiring to install Omni
(17MB) just to use gs is too much. What if I don't have a printer or a printer
which is not handled by Omni?
4) What's the purpose of libgs.so.7.0? If some prog uses it, can't gs use it too
so that we don't get 3.5MB twice?

I use gs only as a rip for HylaFAX, see my problem? :-)

Comment 1 Tim Waugh 2002-12-10 14:53:30 UTC
It's easy to just not ship libgs.so*.  I'll do that in the next build.

There isn't any other way to handle Omni; hopefully they will choose to follow
an IJS route in future, in which case it can be subpackaged then.

Leaving this open for the other points for the moment.

Comment 2 Tim Waugh 2003-04-07 15:12:57 UTC
Removed Omni dependency in CVS.

Comment 3 Tim Waugh 2004-12-10 14:55:25 UTC
VFlib2 also removed (altogether).


Note You need to log in before you can comment on or make changes to this bug.